uname_info=$(uname -r)
config_file="/boot/config-${uname_info}"
output_file_path=/opt/kaiming-tools/config
output_file=/opt/kaiming-tools/config/overlay_index.config

if [ ! -d "${output_file_path}" ]; then
	mkdir -p "${output_file_path}"
fi

if [ ! -f "${output_file}" ]; then
	touch  "${output_file}"
    if [ ! -f "$config_file" ]; then
        echo "Failed to open config file: $config_file" >&2
        exit 1
    fi

    if grep -q "CONFIG_OVERLAY_FS_INDEX=y" "$config_file"; then
        echo "CONFIG_OVERLAY_FS_INDEX=true" > "$output_file"
    else
        echo "CONFIG_OVERLAY_FS_INDEX=false" > "$output_file"
    fi
else
    exit 0     
fi

